GET /deploy/production/status
Get the production status
Scope job:read. Served only when Galon Deploy is open to the account (404 otherwise). Errors {"detail": {"code"}}.
API key (Bearer), on the public API endpoint.
Responses
| Status | Description | Body |
|---|---|---|
200 | Served release, previous release, domains | object |
401 | Key missing or invalid | Error |
Examples
curl
curl -X GET "$GALON_API_BASE/deploy/production/status" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.production.status();Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.production.status()